Bug 467265 - Incorrect sort method on Relevant Errata page for a system
Incorrect sort method on Relevant Errata page for a system
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: WebUI (Show other bugs)
0.2
All Linux
medium Severity low
: ---
: ---
Assigned To: Justin Sherrill
Red Hat Satellite QA List
:
Depends On:
Blocks: space06
  Show dependency treegraph
 
Reported: 2008-10-16 11:58 EDT by Jeremy Mueller
Modified: 2009-09-10 08:04 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 08:04:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of the dates sorted on my Spacewalk server. (4.43 KB, image/png)
2008-10-16 11:58 EDT, Jeremy Mueller
no flags Details

  None (edit)
Description Jeremy Mueller 2008-10-16 11:58:21 EDT
Created attachment 320570 [details]
Screenshot of the dates sorted on my Spacewalk server.

Description of problem:

The Errata on the "Relevant Errata" page is sorted alphabetically instead of by date (numerically).  If you have an errata with a date of 10/3/2008, it will sort before 10/10/2008, which is sorted right before 10/1/2008.


Version-Release number of selected component (if applicable):


How reproducible:

Always

Steps to Reproduce:
1. Load several errata on separate dates (like 10/1/08, 10/3/08, 10/10/08.
2. Visit the Relevant Errata page for a system ( https://spacewalk.domain.name/rhn/systems/details/ErrataList.do?sid=XXXX )
3. View the Errata sort column, click on it a few times to see it reverse the sort.
  
Actual results:

The dates 10/10/08, 10/3/08, 10/1/08 would be sorted:

* 10/3/08
* 10/10/08
* 10/1/08

Expected results:

Those dates should be sorted like:

* 10/10/08
* 10/3/08
* 10/1/08

Additional info:
Comment 1 Justin Sherrill 2009-03-09 11:44:35 EDT
fixed

commit	7a7e03b7f4bfaf77ec45c53fdae86d58ae613a55
tree	c7aefe750a61245f9aff35c4f8b169e25a08eede	tree | snapshot
parent	101b2fb8d53d2c1f2dbeadd2e0fa6c3a288cb970	commit | diff
Comment 2 Miroslav Suchý 2009-09-10 08:04:55 EDT
Spacewalk 0.6 released

Note You need to log in before you can comment on or make changes to this bug.